# $Revision: 1.108 $, $Date: 2012/07/05 11:18:48 $
# TODO
# - merge mibs supackage from 2.1 branch
# - cleanup deps, users for 3.x
# - fixup deps, inner deps, think of subpackages, ugprade path from 2.1
#
%define		gitrel	7e3a82377fa8
%include	/usr/lib/rpm/macros.perl
Summary:	Heartbeat - subsystem for High-Availability Linux
Summary(es.UTF-8):	Subsistema heartbeat para Linux "High-Availability"
Summary(pl.UTF-8):	Podsystem heartbeat dla systemów o podwyższonej niezawodności
Summary(pt_BR.UTF-8):	Implementa sistema de monitoração (heartbeats) visando Alta Disponibilidade
Name:		heartbeat
Version:	3.0.5
Release:	5
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://hg.linux-ha.org/heartbeat-STABLE_3_0/archive/%{gitrel}.tar.bz2
# Source0-md5:	396510e3c143a9c2288bc52cfc9caa3c
Source1:	%{name}.init
Source2:	%{name}.tmpfiles
Patch0:		%{name}-ac.patch
Patch1:		%{name}-libs.patch
Patch2:		%{name}-tls.patch
URL:		http://www.linux-ha.org/Heartbeat
BuildRequires:	OpenIPMI-devel >= 2.0.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cluster-glue-libs-devel
BuildRequires:	docbook-dtd44-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel
BuildRequires:	glibc-misc
BuildRequires:	gnutls-devel
BuildRequires:	libltdl-devel
BuildRequires:	libnet-devel >= 1.1.0
BuildRequires:	libnl-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-progs
BuildRequires:	lm_sensors-devel
BuildRequires:	ncurses-devel >= 5.4
BuildRequires:	net-snmp-devel >= 5.1
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	swig-perl >= 1.3.25
BuildRequires:	swig-python >= 1.3.25
Requires:	%{name}-libs = %{version}-%{release}
Requires:	cluster-glue
Requires:	psmisc >= 22.5-2
Requires:	rc-scripts
Requires:	resource-agents >= 3.9.2-2
Requires:	syslogdaemon
Requires:	which
# disappeared
Obsoletes:	perl-heartbeat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags		-fgnu89-inline
%define		filterout_ld	-Wl,--as-needed

%description
heartbeat is a basic heartbeat subsystem for Linux-HA. It will run
scripts at initialization, and when machines go up or down. This
version will also perform IP address takeover using gratuitous ARPs.
It works correctly for a 2-node configuration, and is extensible to
larger configurations.

It implements the following kinds of heartbeats:
 - Bidirectional Serial Rings ("raw" serial ports)

%description -l es.UTF-8
heartbeat es un sistema básico para Linux-HA. La función de este
software es ejecutar scripts en la inicialización y al apagar las
máquinas que lo utilizan.

%description -l pl.UTF-8
heartbeat jest podstawowym podsystemem dla systemów o podwyższonej
dostępności budowanych w oparciu o Linuksa. Zajmuje się uruchamianiem
skryptów podczas startu i zamykania systemu. Ta wersja pakietu pozwala
na przejmowanie adresów IP. Oprogramowanie działa poprawnie dla
konfiguracji składającej się z 2 hostów, można je również stosować do
bardziej skomplikowanych konfiguracji.

%package libs
Summary:	Heartbeat libraries
Summary(pl.UTF-8):	Biblioteki heartbeat
Group:		Libraries
Conflicts:	heartbeat < 2.99.2-0.1

%description libs
Heartbeat libraries.

%description libs -l pl.UTF-8
Biblioteki heartbeat.

%package devel
Summary:	Heartbeat developement header files and libraries
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki heartbeat
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Heartbeat developement header files and libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki heartbeat.

%package static
Summary:	Heartbeat static libraries
Summary(pl.UTF-8):	Biblioteki statyczne heartbeat
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Heartbeat static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne heartbeat.

%package cts
Summary:	Cluster Test Suite
Summary(pl.UTF-8):	Zestaw testów klastra
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description cts
Cluster Test Suite for heartbeat.

%description cts -l pl.UTF-8
Zestaw testów klastra opartego o heartbeat.

%prep
%setup -qn Heartbeat-3-0-%{gitrel}
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm -rf libltdl

%build
%{__libtoolize} --ltdl
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-initdir=/etc/rc.d/init.d \
	--docdir=%{_docdir}/%{name}-%{version} \
	--enable-fatal-warnings=no \
	--enable-mgmt \
	--enable-quorumd \
	--enable-snmp-subagent

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/var/run/heartbeat,/usr/lib/tmpfiles.d}

# plugins are lt_dlopened, but using *.so names, so *.la are not used
rm -f $RPM_BUILD_ROOT%{_libdir}/heartbeat/plugins/*/*.{la,a}

rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/heartbeat
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/heartbeat

> $RPM_BUILD_ROOT/etc/ha.d/haresources
echo -e "auth 2\n2 crc" > $RPM_BUILD_ROOT/etc/ha.d/authkeys
cp -a doc/ha.cf $RPM_BUILD_ROOT/etc/ha.d

for tool in hb_addnode hb_delnode hb_standby hb_takeover; do
	tool=%{_datadir}/%{name}/$tool
	[ -x $RPM_BUILD_ROOT$tool ] || exit 1
	ln -s $tool $RPM_BUILD_ROOT%{_bindir}
done

rm $RPM_BUILD_ROOT%{_datadir}/heartbeat/cts/README

sed -i -e's, /%{_lib}/libpam.la, /usr/%{_lib}/libpam.la,g' $RPM_BUILD_ROOT%{_libdir}/*.la

install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add heartbeat
%service heartbeat restart

%preun
if [ "$1" = "0" ]; then
	%service -q heartbeat stop
	/sbin/chkconfig --del heartbeat
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{*.html,AUTHORS,apphbd.cf,authkeys,ha.cf,haresources,startstop}
%dir %{_libdir}/heartbeat
%dir %{_libdir}/heartbeat/plugins
%dir %{_libdir}/heartbeat/plugins/*
%attr(755,root,root) %{_libdir}/heartbeat/plugins/*/*.so
%attr(755,root,root) %{_libdir}/heartbeat/[!cp]*
%attr(755,root,root) %{_libdir}/heartbeat/c[!t]*
%dir %{_datadir}/heartbeat
%attr(755,root,root) %{_datadir}/heartbeat/BasicSanityCheck
%attr(755,root,root) %{_datadir}/heartbeat/ResourceManager
%attr(755,root,root) %{_datadir}/heartbeat/TestHeartbeatComm
%attr(755,root,root) %{_datadir}/heartbeat/ha_*
%attr(755,root,root) %{_datadir}/heartbeat/hb_*
%attr(755,root,root) %{_datadir}/heartbeat/mach_down
%attr(755,root,root) %{_datadir}/heartbeat/req_resource
%attr(755,root,root) %{_sysconfdir}/ha.d/rc.d
%{_sysconfdir}/ha.d/README.config
%attr(755,root,root) %{_sysconfdir}/ha.d/harc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/heartbeat
%attr(754,root,root) /etc/rc.d/init.d/heartbeat
%dir /var/run/heartbeat
%attr(750,hacluster,haclient) %dir /var/run/heartbeat/ccm
%dir /var/lib/heartbeat
%{_mandir}/man1/*.1*
%{_mandir}/man8/[a-h]*.8*
%{_mandir}/man5/authkeys.5*
%{_mandir}/man5/ha.cf.5*
%attr(755,root,root) %{_bindir}/cl_respawn
%attr(2755,root,haclient) %{_bindir}/cl_status
%attr(755,root,root) %{_bindir}/hb_addnode
%attr(755,root,root) %{_bindir}/hb_delnode
%attr(755,root,root) %{_bindir}/hb_standby
%attr(755,root,root) %{_bindir}/hb_takeover
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ha.d/haresources
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ha.d/authkeys
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ha.d/ha.cf
/usr/lib/tmpfiles.d/%{name}.conf

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapphb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapphb.so.2
%attr(755,root,root) %{_libdir}/libccmclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libccmclient.so.1
%attr(755,root,root) %{_libdir}/libclm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclm.so.1
%attr(755,root,root) %{_libdir}/libhbclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhbclient.so.1

%files devel
%defattr(644,root,root,755)
%{_includedir}/heartbeat
%{_includedir}/ocf
%{_includedir}/saf
%attr(755,root,root) %{_libdir}/libapphb.so
%attr(755,root,root) %{_libdir}/libccmclient.so
%attr(755,root,root) %{_libdir}/libclm.so
%attr(755,root,root) %{_libdir}/libhbclient.so
%{_libdir}/libapphb.la
%{_libdir}/libccmclient.la
%{_libdir}/libclm.la
%{_libdir}/libhbclient.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libapphb.a
%{_libdir}/libccmclient.a
%{_libdir}/libclm.a
%{_libdir}/libhbclient.a

%files cts
%defattr(644,root,root,755)
%doc cts/README
%dir %{_datadir}/heartbeat/cts
%attr(755,root,root) %{_datadir}/heartbeat/cts/*.py
%{_datadir}/heartbeat/cts/*.py[co]
%attr(755,root,root) %{_datadir}/heartbeat/cts/*.sh
%attr(755,root,root) %{_datadir}/heartbeat/cts/*Dummy

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: heartbeat.spec,v $
Revision 1.108  2012/07/05 11:18:48  jajcus
- %{_sysconfdir}/ha.d/resource.d now in resource-agents
- Release: 5

Revision 1.107  2012/06/04 09:12:18  jajcus
- tmpfiles configuration added
- Release: 4

Revision 1.106  2011/10/24 21:21:37  mguevara
- 3.0.5-3 up to gitrel 7e3a82377fa8, added heartbeat-tls.patch

Revision 1.105  2011/07/27 14:27:24  mmazur
- rel 2
- add /etc/ha.d to file list

Revision 1.104  2011/07/19 21:53:59  mmazur
- works; rel 1; stbr

Revision 1.103  2011/07/19 18:00:14  mmazur
- builds; rel 0.2

Revision 1.102  2011/07/19 15:58:29  mmazur
- up to 3.0.5; rel 0.1, nfy

Revision 1.101  2011/04/27 15:21:50  marmarek
- fix library linking

Revision 1.100  2010/05/22 16:39:49  gotar
- fixed Group

Revision 1.99  2010/02/17 09:26:39  jajcus
- TODO fixed

Revision 1.98  2010/02/17 09:23:47  jajcus
- TODO item added

Revision 1.97  2010/01/13 19:10:32  glen
- cluster-clue, for uids at least

Revision 1.96  2010/01/13 18:47:16  glen
- /etc/ha.d dir in resource-agents

Revision 1.95  2010/01/13 18:46:06  sparky
- BR: docbook-dtd44-xml, docbook-style-xsl, glibc-misc, libxslt-progs

Revision 1.94  2010/01/13 18:33:56  glen
- up to 3.0.2 rc2
- stonith moved to resource-clue
- ldirectord moved to resource-agents
- builds, packages, nothing else

Revision 1.93  2009/12/09 14:25:12  baggins
- no parallel install

Revision 1.92  2009/12/09 13:58:00  baggins
- rel 2

Revision 1.91  2009/08/18 10:59:09  arekm
- rel 1

Revision 1.90  2009/05/12 13:40:13  glen
- conflicts before package split

Revision 1.89  2009/05/12 09:05:45  jajcus
- -libs subpackage separated so whole heartbeat does not need to be installed on a developement machine

Revision 1.88  2009/05/11 11:43:52  jajcus
- Version: 2.99.2 (now without crm, management, gui and stonithd)

Revision 1.87  2009/05/11 09:17:13  jajcus
- Version: 2.1.4 (the last one with CRM and Stonith included)

Revision 1.86  2009/05/11 08:04:14  jajcus
- BR: libnl-devel

Revision 1.85  2009/02/23 22:12:49  arekm
- release 9

Revision 1.84  2009/02/23 22:06:00  arekm
- release 8

Revision 1.83  2008/12/23 12:07:03  mguevara
- added req which (needed by Filesystem)

Revision 1.82  2008/09/17 12:20:12  paszczus
- added _pymgmt.so required by gui

Revision 1.81  2008/09/07 18:55:06  adamg
- release 6 (against libltdl-2.2.6-1)

Revision 1.80  2008/06/16 07:09:58  arekm
- rel 5

Revision 1.79  2008-05-16 14:39:07  glen
- disable -Werror
- verbose libs, ghost soname symlinks
- update urls; rel 4

Revision 1.78  2008-01-13 09:49:11  qboosh
- updated md5

Revision 1.77  2007-12-22 04:56:35  zbyniu
- up to 2.1.3

Revision 1.76  2007-11-30 13:51:17  glen
- adapter, tabs

Revision 1.75  2007-09-13 12:38:33  jajcus
- Version: 2.1.2
- impilan_test building disabled
- "-fgnu89-inline" enabled, "-Wl,--as-needed" disabled
- "gui" subpackage added (not tested)
- ha_logger, hb_addnode, hb_delnode, hb_standby and hb_takeover utilities linked to %{_bindir}
- /var/run/heartbeat and /var/lib/heartbeat subdirs packaged

Revision 1.74  2007/05/15 16:14:47  qboosh
- really updated fuser path

Revision 1.73  2007/05/15 15:02:29  arvenil
- mv /sbin/fuser /bin/fuser (because KDE and users want it in PATH)

Revision 1.72  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.71  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.70  2007/01/27 23:41:50  zbyniu
- up to 2.0.8

Revision 1.69  2007/01/27 22:01:40  zbyniu
- type patch added; pack .py[co] not .py

Revision 1.68  2006/08/22 11:57:35  qboosh
- added mgmt BRs

Revision 1.67  2006/08/22 11:31:22  qboosh
- runtime OpenIPMI dependency

Revision 1.66  2006/08/22 09:22:01  qboosh
- updated to 2.0.7 (fixes CVE-2006-3121)

Revision 1.65  2006/08/22 07:29:16  qboosh
- removed obsolete chld patch

Revision 1.64  2006/08/16 10:43:25  qboosh
- added CVE reference to previous commit message
- O: perl-heartbeat

Revision 1.63  2006/08/12 23:49:11  zbyniu
- up to 2.0.6, cleanups
[fixes CVE-2006-3815]

Revision 1.62  2006/06/26 00:02:34  adamg
- updated to 2.0.5

Revision 1.61  2006/05/25 23:04:53  qboosh
- unified

Revision 1.60  2006/05/25 22:33:22  wiget
- missing lang code

Revision 1.59  2006/03/24 15:03:05  zbyniu
- up to 2.0.4

Revision 1.58  2005/12/27 15:01:52  zbyniu
- BR: OpenIPMI-devel >= 2.0.3, remove hack
- cts subpackage to get free from python R:

Revision 1.57  2005/12/06 11:21:16  zbyniu
- up to 2.0.2; perl-heartbeat temporary commented out, because it disappeared

Revision 1.56  2005/06/27 00:15:20  saq
- as of 1.3.25, swig subpackages actually contain something useful

Revision 1.55  2005/06/15 08:01:14  qboosh
- cl_status is expected to be sgid haclient

Revision 1.54  2005/06/14 13:56:13  qboosh
- added chld patch, release 0.4

Revision 1.53  2005/06/03 11:03:50  qboosh
- ac patch is back (updated)

Revision 1.52  2005/06/03 10:24:55  qboosh
- added sh patch (kill bashisms in configure)
- added ipmi patch, use OpenIPMI 2.0.0
- added missing files, separated perl binding
- BR: perl-devel >= 5.8.1, swig-perl actually not needed

Revision 1.51  2005/06/03 09:12:06  qboosh
- BR: swig-perl

Revision 1.50  2005/06/02 20:57:13  ankry
- tabs

Revision 1.49  2005/06/02 20:30:19  qboosh
- pl for new -ldirectord desc
- reverted files duplicate

Revision 1.48  2005/06/02 20:04:08  zbyniu
- R: for useradd macro
- more files
- better summaries and descriptions

Revision 1.47  2005/06/02 19:21:23  qboosh
- pl for new packages, some cleanups

Revision 1.46  2005/05/27 01:04:58  zbyniu
- up to 1.99.5, many changes, start way to proper PLD reality

Revision 1.45  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.44  2004/10/17 06:39:55  ankry
- %groupremove support, some unification

Revision 1.43  2004/03/16 16:05:40  qboosh
- files and deps updates

Revision 1.42  2004/03/16 13:20:15  qboosh
- updated to 1.2.0; files still incomplete

Revision 1.41  2004/03/16 12:20:10  qboosh
- removed obsolete patches

Revision 1.40  2004/03/15 16:07:34  qboosh
- some spec updates

Revision 1.39  2004/01/21 02:19:06  hunter
- up to 1.1.3
- NYF

Revision 1.38  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.37  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.36  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 05:48:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/17 05:59:35  pascalek
- revert user changes

Revision 1.33  2003/05/10 10:14:45  pascalek
- Req user-haclient

Revision 1.32  2003/02/28 10:07:57  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.31  2002/12/07 23:49:19  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.30  2002/12/07 14:33:05  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.29  2002/09/02 12:14:08  blues
- 0.4.9.1 - updated patches, few new, some cleanups
- at least builds now, but still needs some work

Revision 1.28  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.27  2002/08/22 01:33:55  kloczek
- release 4: s/GPL/GPL v2/ in License and merge translations from Conectiva.

Revision 1.26  2002/08/17 21:00:43  qboosh
- better message in pre, new %doc

Revision 1.25  2002/07/03 09:24:04  wolf
- spelling

Revision 1.24  2002/04/25 16:33:26  arturs
- fixed a small typo

Revision 1.23  2002/04/04 18:00:24  ankry
- fixed build, requirements, some file location & attributes, gzipped doc
  Not tested yet

Revision 1.22  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:13:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/12 11:21:35  qboosh
- adapterized, Group changed to Applications/System, try to fix scripts

Revision 1.18  2001/09/24 13:27:26  qboosh
- Prereq: /sbin/chkconfig; large part of spec (at least scripts) should be rewritten

Revision 1.17  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.16  2001/07/26 04:50:55  agaran
- typo in group

Revision 1.15  2001/07/26 04:50:00  agaran
- just adapterized, changed group
